<template>
  <div class="main-layout bg-[transparent] text-white min-h-screen flex flex-col relative">
    <!-- Navbar (On Top of Globe) -->
    <Navbar class="relative z-11" />

    <!-- Main Content (Fills Remaining Space) -->
    <main class="absolute flex-grow container mx-auto px-4 relative z-1">
      <router-view></router-view>
    </main>
    
    <!-- Footer (Always at Bottom) -->
    <Footer class="absolute z-11 mt-auto" />

    <!-- Modal -->
    <Modal v-if="showModal" @close="showModal = false" />
  </div>
</template>

<script setup lang="ts">
import { ref, provide } from 'vue'
import Footer from '@/components/Footer/Footer.vue'
import Modal from '@/components/modals/Modal.vue'
import Navbar from '@/components/NavBar/NavBar.vue'

const showModal = ref(false)
const globeMode = ref('CDM')

// Provide the reactive `globeMode` variable to the entire app
provide('globeMode', globeMode)
</script>

<style scoped>
.main-layout {
  display: flex;
  flex-direction: column;
  min-height: 100vh; /* Full viewport height */
  position: relative;
}
</style>
